Package de.willuhn.jameica.hbci.gui.input

# Class AccountInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.TextInput
de.willuhn.jameica.hbci.gui.input.AccountInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

Direct Known Subclasses:
  `BICInput`, `BLZInput`

public class AccountInput extends de.willuhn.jameica.gui.input.TextInput
Basis-Klasse fuer die Eingabe von Kontonummern, BLZ und BIC. Erlaubt das Einfuegen von Leerzeichen, die automatisch entfernt werden.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.input.TextInput

`text`

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`AccountInput(String value, int maxlength)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`setValidChars(String chars)`
Ueberschrieben, um zusaetzlich noch die Leerzeichen zuzulassen.

### Methods inherited from class de.willuhn.jameica.gui.input.TextInput

`disable, enable, focus, getControl, getHint, getTextWidget, getValue, isEnabled, setEnabled, setHint, setMaxLength, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountInput

public AccountInput(String value, int maxlength)
ct.

Parameters:
  `value` - Initialer Wert.
  `maxlength` - Maximale Laenge.

## Method Details

### setValidChars

public void setValidChars(String chars)
Ueberschrieben, um zusaetzlich noch die Leerzeichen zuzulassen.

Overrides:
  `setValidChars` in class `de.willuhn.jameica.gui.input.AbstractInput`
See Also:
  - `AbstractInput.setValidChars(java.lang.String)`